<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版權所有 2013-2020 漳州豆殼網絡科技有限公司，並保留所有權利。
 * 網站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 這不是一個自由軟件！您只能在遵守授權協議前提下對程序代碼進行修改和使用；不允許對程序代碼以任何形式任何目的的再發布。
 * 授權協議: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo
 * Release Date: 2019-01-08
 */

// 公共語言項
$_LANG['add_time'] = '發布時間';
$_LANG['add_favorite'] = '收藏本站';
$_LANG['all'] = '全部';
$_LANG['btn_submit'] = '提交';
$_LANG['back_home'] = '返回首頁';
$_LANG['cancel'] = '取消';
$_LANG['close'] = '關閉';
$_LANG['click'] = '點擊數';
$_LANG['copyright'] = '© d% 2019 All Rights Reserved.';
$_LANG['captcha'] = '驗證碼';
$_LANG['captcha_wrong'] = '驗證碼錯誤或者為空！';
$_LANG['captcha_refresh'] = '看不清？點擊更換另一個驗證碼。';
$_LANG['del'] = '刪除';
$_LANG['dou_pc'] = '電腦版';
$_LANG['dou_mobile'] = '手機版';
$_LANG['edit'] = '編輯';
$_LANG['go_top'] = '返回頂部';
$_LANG['home'] = '首頁';
$_LANG['handler'] = '操作';
$_LANG['illegal'] = '非法操作';
$_LANG['illegal_char'] = '中含有非法字符';
$_LANG['link'] = '友情鏈接';
$_LANG['mail_altbody'] = '要查看信息，請使用兼容HTML的電子郵件查看器！';
$_LANG['mail_send_success'] = '郵件發送成功';
$_LANG['mail_send_fail'] = '郵件發送失敗，請重試';
$_LANG['more'] = '查看更多';
$_LANG['number'] = '數量';
$_LANG['no'] = '否';
$_LANG['price'] = '價格';
$_LANG['price_format'] = '￥d% 元';
$_LANG['price_discuss'] = '面議';
$_LANG['powered_by'] = "<a href='http://www.douphp.com' target='_blank'>d% DouPHP</a>";
$_LANG['page_wrong'] = '頁面不存在！';
$_LANG['please_input'] = '請輸入';
$_LANG['success'] = '成功';
$_LANG['sort'] = '排序';
$_LANG['select'] = '請選擇...';
$_LANG['status'] = '狀態';
$_LANG['site_closed'] = '站點維護升級中，請您稍後再來...';
$_LANG['ur_here'] = '當前位置';
$_LANG['view'] = '查看';
$_LANG['yes'] = '是';
$_LANG['mobile'] = '手機版';
$_LANG['catalog'] = '站點地圖';

// 公司簡介
$_LANG['about'] = '公司簡介';
$_LANG['about_link'] = '查看詳細';
$_LANG['about_tree'] = '公司信息';

// 聯系我們
$_LANG['contact'] = '聯系我們';
$_LANG['contact_address'] = '公司地址';
$_LANG['contact_tel'] = '銷售熱線';
$_LANG['contact_fax'] = '傳真號碼';
$_LANG['contact_root_url'] = '公司網址';
$_LANG['contact_email'] = '電子郵箱';

// 搜索
$_LANG['search'] = '搜索';
$_LANG['search_results'] = "搜索結果：‘d%’";
$_LANG['search_product'] = '產品搜索';
$_LANG['search_product_cue'] = '輸入您要搜索的產品名稱';
$_LANG['search_article'] = '文章搜索';
$_LANG['search_article_cue'] = '輸入您要搜索的文章名稱';
$_LANG['search_keyword_wrong'] = '搜索詞只能包含中文、英文、數字及下劃線';

// 分頁
$_LANG['pager_1'] = '總計';
$_LANG['pager_2'] = '個記錄';
$_LANG['pager_3'] = '共';
$_LANG['pager_4'] = '頁';
$_LANG['pager_5'] = '當前第';
$_LANG['pager_6'] = '第';
$_LANG['pager_first'] = '第一頁';
$_LANG['pager_last'] = '最末頁';
$_LANG['pager_previous'] = '上一頁';
$_LANG['pager_next'] = '下一頁';

// 在線客服
$_LANG['online'] = '在線客服';
$_LANG['online_qq'] = 'QQ交談';

// 文件類
$_LANG['file_dir_wrong'] = '上傳目錄沒有寫權限或者不存在！';
$_LANG['file_empty'] = '沒有選擇要上傳的文件，請確認！';
$_LANG['file_support'] = '上傳文件類型僅支持';
$_LANG['file_support_no'] = '不支持';
$_LANG['file_out_size'] = '上傳文件超過';
$_LANG['file_wrong'] = '上傳文件失敗，請確認你的上傳文件不超過 d% KB 或上傳時間超時';
$_LANG['file_insert_image'] = '插入圖片';
$_LANG['file_btn'] = '點擊上傳';

// 表單操作提示
$_LANG['is_empty'] = '不能為空，請輸入！';
$_LANG['is_wrong'] = '輸入有誤，請重新輸入！';
$_LANG['is_exist'] = '已經存在，請重新輸入！';
$_LANG['input_must_include_chinese'] = '輸入內容必須包含中文';

// 短信驗證碼
$_LANG['sms_captcha'] = '短信驗證碼';
$_LANG['sms_captcha_send'] = '獲取驗證碼';
$_LANG['sms_captcha_wrong'] = '請輸入正確的短信驗證碼';
$_LANG['sms_captcha_outtime'] = '驗證超時';

// 提示信息
$_LANG['dou_msg'] = '信息提示';
$_LANG['dou_msg_cue'] = "如果您不做出選擇，將在 d% 秒後跳轉到上一頁面，您也可以手動點擊";
$_LANG['dou_msg_back'] = '返回上一頁';
$_LANG['dou_msg_success'] = '操作已成功';
$_LANG['m_dou_msg_cue'] = "如果您不做出選擇，將在 d% 秒後跳轉到上一頁面";

?>