<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2020 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: https://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo
 * Release Date: 2019-01-08
 */

// 公共语言项
$_LANG['add_time'] = '发布时间';
$_LANG['add_favorite'] = '收藏本站';
$_LANG['all'] = '全部';
$_LANG['btn_submit'] = '提交';
$_LANG['back_home'] = '返回首页';
$_LANG['cancel'] = '取消';
$_LANG['close'] = '关闭';
$_LANG['click'] = '点击数';
$_LANG['copyright'] = '© d% 2019 All Rights Reserved.';
$_LANG['captcha'] = '验证码';
$_LANG['captcha_wrong'] = '验证码错误或者为空！';
$_LANG['captcha_refresh'] = '看不清？点击更换另一个验证码。';
$_LANG['del'] = '删除';
$_LANG['dou_pc'] = '电脑版';
$_LANG['dou_mobile'] = '手机版';
$_LANG['edit'] = '编辑';
$_LANG['go_top'] = '返回顶部';
$_LANG['home'] = '首页';
$_LANG['handler'] = '操作';
$_LANG['illegal'] = '非法操作';
$_LANG['illegal_char'] = '中含有非法字符';
$_LANG['link'] = '友情链接';
$_LANG['mail_altbody'] = '要查看信息，请使用兼容HTML的电子邮件查看器！';
$_LANG['mail_send_success'] = '邮件发送成功';
$_LANG['mail_send_fail'] = '邮件发送失败，请重试';
$_LANG['more'] = '查看更多';
$_LANG['number'] = '数量';
$_LANG['no'] = '否';
$_LANG['price'] = '价格';
$_LANG['price_format'] = '￥d% 元';
$_LANG['price_discuss'] = '面议';
$_LANG['powered_by'] = "<a href='http://www.douphp.com' target='_blank'>d% DouPHP</a>";
$_LANG['page_wrong'] = '页面不存在！';
$_LANG['please_input'] = '请输入';
$_LANG['success'] = '成功';
$_LANG['sort'] = '排序';
$_LANG['select'] = '请选择...';
$_LANG['status'] = '状态';
$_LANG['site_closed'] = '站点维护升级中，请您稍后再来...';
$_LANG['ur_here'] = '当前位置';
$_LANG['view'] = '查看';
$_LANG['yes'] = '是';
$_LANG['mobile'] = '手机版';
$_LANG['catalog'] = '站点地图';

// 公司简介
$_LANG['about'] = '公司简介';
$_LANG['about_link'] = '查看详细';
$_LANG['about_tree'] = '公司信息';

// 联系我们
$_LANG['contact'] = '联系我们';
$_LANG['contact_address'] = '公司地址';
$_LANG['contact_tel'] = '销售热线';
$_LANG['contact_fax'] = '传真号码';
$_LANG['contact_root_url'] = '公司网址';
$_LANG['contact_email'] = '电子邮箱';

// 搜索
$_LANG['search'] = '搜索';
$_LANG['search_results'] = "搜索结果：‘d%’";
$_LANG['search_product'] = '产品搜索';
$_LANG['search_product_cue'] = '输入您要搜索的产品名称';
$_LANG['search_article'] = '文章搜索';
$_LANG['search_article_cue'] = '输入您要搜索的文章名称';
$_LANG['search_keyword_wrong'] = '搜索词只能包含中文、英文、数字及下划线';

// 分页
$_LANG['pager_1'] = '总计';
$_LANG['pager_2'] = '个记录';
$_LANG['pager_3'] = '共';
$_LANG['pager_4'] = '页';
$_LANG['pager_5'] = '当前第';
$_LANG['pager_6'] = '第';
$_LANG['pager_first'] = '第一页';
$_LANG['pager_last'] = '最末页';
$_LANG['pager_previous'] = '上一页';
$_LANG['pager_next'] = '下一页';

// 在线客服
$_LANG['online'] = '在线客服';
$_LANG['online_qq'] = 'QQ交谈';

// 文件类
$_LANG['file_dir_wrong'] = '上传目录没有写权限或者不存在！';
$_LANG['file_empty'] = '没有选择要上传的文件，请确认！';
$_LANG['file_support'] = '上传文件类型仅支持';
$_LANG['file_support_no'] = '不支持';
$_LANG['file_out_size'] = '上传文件超过';
$_LANG['file_wrong'] = '上传文件失败，请确认你的上传文件不超过 d% KB 或上传时间超时';
$_LANG['file_insert_image'] = '插入图片';
$_LANG['file_btn'] = '点击上传';

// 表单操作提示
$_LANG['is_empty'] = '不能为空，请输入！';
$_LANG['is_wrong'] = '输入有误，请重新输入！';
$_LANG['is_exist'] = '已经存在，请重新输入！';
$_LANG['input_must_include_chinese'] = '输入内容必须包含中文';

// 短信验证码
$_LANG['sms_captcha'] = '短信验证码';
$_LANG['sms_captcha_send'] = '获取验证码';
$_LANG['sms_captcha_wrong'] = '请输入正确的短信验证码';
$_LANG['sms_captcha_outtime'] = '验证超时';

// 提示信息
$_LANG['dou_msg'] = '信息提示';
$_LANG['dou_msg_cue'] = "如果您不做出选择，将在 d% 秒后跳转到上一页面，您也可以手动点击";
$_LANG['dou_msg_back'] = '返回上一页';
$_LANG['dou_msg_success'] = '操作已成功';
$_LANG['m_dou_msg_cue'] = "如果您不做出选择，将在 d% 秒后跳转到上一页面";

?>